dnl
dnl $ Id: $
dnl
 
PHP_ARG_WITH(html_parse, whether to enable html_parse functions,
[  --with-html_parse[=DIR]      With html_parse support], yes)

if test "$PHP_HTML_PARSE" != "no"; then
  if test -r "$PHP_HTML_PARSE/include/ekhtml.h"; then
    PHP_HTML_PARSE_DIR="$PHP_HTML_PARSE"
  else
    AC_MSG_CHECKING(for html_parse in default path)
    for i in /usr /usr/local; do
      if test -r "$i/include/ekhtml.h"; then
        PHP_HTML_PARSE_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
fi

PHP_ADD_INCLUDE($PHP_HTML_PARSE_DIR/include)

PHP_SUBST(HTML_PARSE_SHARED_LIBADD)

PHP_ADD_LIBRARY_WITH_PATH(ekhtml, $PHP_HTML_PARSE_DIR/lib, HTML_PARSE_SHARED_LIBADD)
AC_CHECK_LIB(ekhtml, ekhtml_parser_new, [AC_DEFINE(HAVE_EKHTML,1,[ ])], [AC_MSG_ERROR(ekhtml library not found or wrong version)],)


if test "$PHP_HTML_PARSE" != "no"; then
  AC_DEFINE(HAVE_HTML_PARSE, 1, [ ])
  PHP_NEW_EXTENSION(html_parse, html_parse.c , $ext_shared)
fi

